# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Util

↳ JXG.Util

Util class Class for gunzipping, unzipping and base64 decoding of files. It is used for reading GEONExT, Geogebra and Intergeo files. Only Huffman codes are decoded in gunzip. The code is based on the source code for gunzip.c by Pasi Ojala
Defined in: Util.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Util()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | JXG.Util.Base64 Base64 encoding / decoding

Method Summary
Method Attributes | Method Name and Description
--- | ---
<private> <static> | JXG.Util.asciiCharCodeAt(str, i)
<static> | JXG.Util.genUUID() Generate a random uuid.
<static> | JXG.Util.Unzip(barray) Unzip zip files
<static> | JXG.Util.utf8Decode(string) Decoding string into utf-8

Class Detail
JXG.Util()

See:
  http://www.cs.tut.fi/~albert/Dev/gunzip/gunzip.c
  http://www.cs.tut.fi/~albert

Field Detail
<static> JXG.Util.Base64
Base64 encoding / decoding

See:
  http://www.webtoolkit.info/

Method Detail
<private> <static> JXG.Util.asciiCharCodeAt(str, i)

Parameters:
str
i

<static> JXG.Util.genUUID()
Generate a random uuid. http://www.broofa.com mailto:robert@broofa.com Copyright (c) 2010 Robert Kieffer Dual licensed under the MIT and GPL licenses. EXAMPLES: >>> Math.uuid() "92329D39-6F5C-4520-ABFC-AAB64544E172"

<static> JXG.Util.Unzip(barray)
Unzip zip files

Parameters:
barray

<static> {String} JXG.Util.utf8Decode(string)
Decoding string into utf-8

Parameters:
{String} string
  to decode

Returns:
  {String} utf8 decoded string

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:10 GMT+0200 (MESZ)